Subject: patch for the ALARM-MIB / ITU-ALARM-MIB

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 15 Mar 2001 16:20:16 +0100

I had to fix some SMI violations in these MIBs in order to generate
UML diagrams. Here is the diff in case someone else wants to parse
these MIBs.

/js

--- ALARM-MIB	Thu Mar 15 16:08:15 2001
+++ /www/ibr/users/schoenw/disman/ALARM-MIB	Thu Mar 15 15:18:22 2001
@@ -89,7 +89,7 @@
 
    alarmDetailsIndex OBJECT-TYPE
       SYNTAX     Unsigned32 (1..4294967295)
-      MAX-ACCESS read-only
+      MAX-ACCESS not-accessible
 
       STATUS     current
       DESCRIPTION
@@ -227,7 +227,7 @@
 
    alarmActiveTimeFilter OBJECT-TYPE
       SYNTAX  TimeFilter
-      MAX-ACCESS read-only
+      MAX-ACCESS not-accessible
       STATUS current
       DESCRIPTION
         "A TimeFilter for this entry.  Allows GetNext and GetBulk
@@ -240,7 +240,7 @@
 
    alarmActiveIndex OBJECT-TYPE
       SYNTAX     Unsigned32 (1..4294967295)
-      MAX-ACCESS read-only
+      MAX-ACCESS not-accessible
       STATUS     current
       DESCRIPTION
           "A monotonically increasing integer which acts as the
@@ -577,7 +577,7 @@
           subsystem, then this object contains a zero value."
     ::= { alarmActiveStatsEntry 3 }
 
-   alarmActiveStatLastClear  OBJECT-TYPE
+   alarmActiveStatsLastClear  OBJECT-TYPE
       SYNTAX      TimeTicks
       MAX-ACCESS  read-only
       STATUS      current
@@ -629,7 +629,6 @@
    alarmActiveGroup OBJECT-GROUP
            OBJECTS {
               alarmActiveLastChanged,
-              alarmListName,
               alarmActiveTimeFilter,
               alarmActiveIndex,
               alarmActiveTime,
@@ -643,7 +642,6 @@
               alarmActiveDetailsIndex,
               alarmActiveLogIndex,
               alarmActiveModelPointer,
-              alarmActiveVariableIndex,
               alarmActiveVariableID,
               alarmActiveVariableValueType,
               alarmActiveVariableCounter32Val,

--- ITU-ALARM-MIB	Thu Mar 15 16:08:19 2001
+++ /www/ibr/users/schoenw/disman/ITU-ALARM-MIB	Thu Mar 15 15:14:48 2001
@@ -453,16 +453,16 @@
 
 ituAlarmStatisticsGroup OBJECT-GROUP
   OBJECTS {
-         ituAlarmActiveIndetrminateCurrent,
-         ituAlarmActiveCriticalCurrent,
-         ituAlarmActiveMajorCurrent,
-         ituAlarmActiveMinorCurrent,
-         ituAlarmActiveWarningCurrent,
-         ituAlarmActiveIndetrminateTotal,
-         ituAlarmActiveCriticalTotal,
-         ituAlarmActiveMajorTotal,
-         ituAlarmActiveMinorTotal,
-         ituAlarmActiveWarningTotal
+         ituAlarmActiveStatsIndeterminateCurrent,
+         ituAlarmActiveStatsCriticalCurrent,
+         ituAlarmActiveStatsMajorCurrent,
+         ituAlarmActiveStatsMinorCurrent,
+         ituAlarmActiveStatsWarningCurrent,
+         ituAlarmActiveStatsIndeterminateTotal,
+         ituAlarmActiveStatsCriticalTotal,
+         ituAlarmActiveStatsMajorTotal,
+         ituAlarmActiveStatsMinorTotal,
+         ituAlarmActiveStatsWarningTotal
           }
 
   STATUS current

---

From: Wes Hardaker <[email-masked]>
Date: 16 Mar 2001 08:37:11 -0800

>>>>> On Thu, 15 Mar 2001 16:20:16 +0100, Juergen Schoenwaelder <[email-masked]> said:

Juergen> I had to fix some SMI violations in these MIBs in order to generate
Juergen> UML diagrams. Here is the diff in case someone else wants to parse
Juergen> these MIBs.

There were some basic editorial/style changes as well, no?

(EG:
Juergen> -      MAX-ACCESS read-only
Juergen> +      MAX-ACCESS not-accessible
)

-- 
"Ninjas aren't dangerous.  They're more afraid of you than you are of them."

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 16 Mar 2001 17:38:32 +0100

>>>>> Wes Hardaker writes:

Wes> There were some basic editorial/style changes as well, no?

Wes> (EG:
Juergen> - MAX-ACCESS read-only + MAX-ACCESS not-accessible
Wes> )

RFC 2578 section 7.7 clearly says under which conditions INDEX objects
are not not-accessible. I do not think these conditions apply here. So
this change is IMHO not editorial.

/js

---

From: Wes Hardaker <[email-masked]>
Date: 16 Mar 2001 11:01:12 -0800

>>>>> On Fri, 16 Mar 2001 17:38:32 +0100, Juergen Schoenwaelder <[email-masked]> said:

>>>>> Wes Hardaker writes:

Juergen> RFC 2578 section 7.7 clearly says under which conditions
Juergen> INDEX objects are not not-accessible. I do not think these
Juergen> conditions apply here. So this change is IMHO not editorial.

Ahh.  Sorry.  I hadn't read that section lately (and generally
disagree that it should be mandated, but thats another discussion).